#pragma cd pl(9999)
#pragma rom (small)

#define DEBUG

#include <reg51.h>
#include <types.h>

#define	XTAL		24e6
//#define	MUX_TIME	5			// 49Hz
#define	MUX_TIME	3			// 195HZ
//#define	MUX_TIME	1			// 781Hz

#define PRESCALER	128
//#define PRESCALER	256

#define	TMIN		0.5			// min 0.5sec
#define TMAX		(2.0 - TMIN)		// max 2sec

//------------------------------------------------------------------------
//				Display definitions
//------------------------------------------------------------------------
#define	_A	0x10				//segment order
#define	_B	0x08
#define	_C	0x04
#define	_D	0x02
#define	_E	0x01
#define	_F	0x40
#define	_G	0x20
#define	_DP	0x80				//decimal point

#define PIN_D0	~0x04 | 0x70			//digit order
#define	PIN_D1	~0x80 | 0x70
#define	PIN_D2	~0x01 | 0x70
#define	PIN_D3	~0x02 | 0x70
#define	PIN_D4	~0x08 | 0x70

#define	_kHz	~_E
#define	_MHz	~_D

#define	_0	~( _A+_B+_C+_D+_E+_F    )	//number pattern, low active
#define	_1	~(    _B+_C             )
#define	_2	~( _A+_B+   _D+_E+   _G )
#define	_3	~( _A+_B+_C+_D+      _G )
#define	_4	~(    _B+_C+      _F+_G )
#define	_5	~( _A+   _C+_D+   _F+_G )
#define	_6	~( _A+   _C+_D+_E+_F+_G )
#define	_7	~( _A+_B+_C             )
#define	_8	~( _A+_B+_C+_D+_E+_F+_G )
#define	_9	~( _A+_B+_C+_D   +_F+_G )
#define	BLANK	~( 0                    )
#define	MINUS	~(                   _G )
//------------------------------------------------------------------------
